
\name{
formatCell
}

\alias{
formatCell
}

\title{
Sets the format attributes of a Gnumeric cell.
}

\description{
 

This can be used to specify the appearance and formatting
characteristics of a Gnumeric cell.  It allows one to specify
attributes such as color, font, value format style, border, etc.  It
differs from setting the attribute of a cell since the format is an S
object and can be applied independently to different cells.  One can
instantiate one or more format descriptions at any time and apply them
as "templates".


}

\usage{
formatCell
(
row
= 
1
,
column
= 
1
,
.sheet
,
...
,
format
)
}

\arguments{
 \item{
row
}{
   
An integer identifying the
row in the sheet in which the cell 
of interest is located.
This is used in conjunction with
col
to identify the single cell
to be formatted.

 }

 \item{
column
}{
   

An integer or string identifying the column in the sheet in which the
cell of interest is located.  This is used in conjunction with
row to identify the single cell to be
formatted. If a string is used, this is the name of the column
as it appears in the column titles (e.g. A, B, ..., Z, AA, AB, ..., ...)


 }

 \item{
.sheet
}{
   

A reference to the Gnumeric worksheet in which the cell of interest is
located.  This is an object of class
GnumericSheetRef and should be passed to R
via a call from Gnumeric to an R function.


 }

 \item{
...
}{
   

A collection of name-value pairs that specify the different attributes
to set for the cell.



 }

 \item{
format
}{
   
 }
}

\details{}

\value{}

\references{}

\author{
\url{http://cm.bell-labs.com/stat/duncan}
}

\note{}

\seealso{$<-.GnumericCellRef
\url{}
}

\examples{
   
}

\keyword{ 
interface
}
